For the complete documentation index, see llms.txt. This page is also available as Markdown.

Refresh access token

post

Exchange a refresh token for a new access token.

Path parameters
apiKeystringRequired

API key generated at https://studio.aurora.dev

Body
refreshTokenstringRequired

Refresh token obtained from the authenticate endpoint.

Example: <jwt>
Responses
200

New access token issued

application/json

New access token issued

accessTokenstringRequired

New JWT access token.

Example: <jwt>
expiresInnumberRequired

Access token lifetime in seconds.

Example: 900
post/api/auth/refresh/{apiKey}
POST /api/auth/refresh/{apiKey} HTTP/1.1
Host: intents-api.aurora.dev
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "refreshToken": "<jwt>"
}
{
  "accessToken": "<jwt>",
  "expiresIn": 900
}

Last updated